## unclutter-xfixes 1.5

=== Makefile ===
TARGET = unclutter
VERSION = 1.5
SDIR = src
IDIR = include
ODIR = obj

INSTALL = install
PREFIX = /usr

BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
LICENSEDIR = $(PREFIX)/share/licenses/$(TARGET)

CC = gcc
LD = $(CC)
PKG_CONFIG = pkg-config

CPPFLAGS += -D'__VERSION="${VERSION}"' "-I$(IDIR)"

CFLAGS += -std=gnu99
CFLAGS += -Wall -Wundef -Wshadow -Wformat-security

LDFLAGS += $(shell $(PKG_CONFIG) --libs x11 xi xfixes)
# libev has no pkg-config support
LDFLAGS += -lev

INCS = $(wildcard $(IDIR)/*.h)
SRCS = $(wildcard $(SDIR)/*.c)
OBJS = $(patsubst %,$(ODIR)/%,$(notdir $(SRCS:.c=.o)))

MANS = man/unclutter-xfixes.1

.NOTPARALLEL:

.PHONY: all
all: clean $(TARGET) mans

.PHONY: $(TARGET)
$(TARGET): $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o "$(TARGET)"

$(ODIR)/%.o: $(SDIR)/%.c $(INCS)
	$(CC) $(CPPFLAGS) $(CFLAGS) -o "$@" -c "$<"

.PHONY: install
install: $(TARGET) mans
	$(INSTALL) -Dm 0755 "$(TARGET)" "$(DESTDIR)$(BINDIR)/$(TARGET)"
	$(INSTALL) -Dm 0644 man/unclutter-xfixes.1 "$(DESTDIR)$(MANDIR)/unclutter.1"
	$(INSTALL) -Dm 0644 -t "$(DESTDIR)$(LICENSEDIR)/" LICENSE

.PHONY: uninstall
uninstall:
	$(RM) "$(DESTDIR)$(BINDIR)/$(TARGET)"
	$(RM) "$(DESTDIR)$(MANDIR)/unclutter.1"
	$(RM) "$(DESTDIR)$(LICENSEDIR)/LICENSE"

.PHONY: mans
mans: $(MANS)

$(MANS): %.1: %.man
	a2x --no-xmllint -f manpage "$<"

.PHONY: clean
clean:
	$(RM) $(TARGET) $(OBJS)
	$(RM) man/*.1 man/*.xml

=== debian/changelog ===
unclutter-xfixes (1.5-3) unstable; urgency=low

  * Upload to unstable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 30 Oct 2019 14:12:55 -0700

unclutter-xfixes (1.5-2) experimental; urgency=medium

  * Conflict with unclutter (<< 8-22~), not with (<< 8-22), to permit
    backporting to buster.
    Thanks to Axel Beckert for noticing this.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Sep 2019 15:59:28 -0700

unclutter-xfixes (1.5-1) experimental; urgency=medium

  * Initial release (Closes: #825809).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 17 Sep 2019 21:37:13 -0700

=== debian/control ===
Source: unclutter-xfixes
Section: x11
Priority: optional
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends:
 asciidoctor,
 debhelper (>= 11),
 dh-exec,
 pkg-config,
 libev-dev,
 libx11-dev,
 libxfixes-dev,
 libxi-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/Airblader/unclutter-xfixes
Vcs-Browser: https://git.spwhitton.name/unclutter-xfixes
Vcs-Git: https://git.spwhitton.name/unclutter-xfixes

Package: unclutter-xfixes
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: unclutter-startup
Conflicts: unclutter (<< 8-22~)
Description: hide the X mouse cursor after a period of inactivity, using XFixes
 unclutter-xfixes is a rewrite of the popular tool unclutter, but
 using the x11-xfixes extension.  It has fewer bugs when used with
 modern applications and window managers.

## unclutter-xfixes 1.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 TARGET = unclutter
-VERSION = 1.5
+VERSION = 1.6
 SDIR = src
 IDIR = include
 ODIR = obj

=== debian/changelog ===
unclutter-xfixes (1.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Feb 2023 12:17:36 +0000

unclutter-xfixes (1.6-1) unstable; urgency=medium

  * New maintainer. (Closes: #1017881)
  * New upstream release.
  * Enable hardened build flags.
  * Bump debhelper from old 11 to 13.
  * debian/control:
    - Set debhelper-compat version in Build-Depends.
    - Bump standards version to 4.6.1, no changes needed.
    - Set Rules-Requires-Root: no.
  * Add debian/watch file, using github.
  * debian/copyright: Use standard, machine-readable format.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.

 -- Stefan Kangas <stefankangas@gmail.com>  Thu, 20 Oct 2022 14:52:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: unclutter-xfixes
 Section: x11
 Priority: optional
-Maintainer: Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Stefan Kangas <stefankangas@gmail.com>
 Build-Depends:
  asciidoctor,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-exec,
  pkg-config,
  libev-dev,
  libx11-dev,
  libxfixes-dev,
  libxi-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.6.1
 Homepage: https://github.com/Airblader/unclutter-xfixes
-Vcs-Browser: https://git.spwhitton.name/unclutter-xfixes
-Vcs-Git: https://git.spwhitton.name/unclutter-xfixes
+Vcs-Browser: https://salsa.debian.org/skangas/hashcash
+Vcs-Git: https://salsa.debian.org/skangas/hashcash.git -b debian/latest
+Rules-Requires-Root: no
 
 Package: unclutter-xfixes
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = $(OPTFLAGS) -Wall -pedantic

%:
	dh $@

override_dh_auto_install:
